# Linter Analysis Tool

## Overview

This tool is designed to streamline the linting process for JavaScript projects using ESLint and SonarQube. It automates the configuration of ESLint and facilitates integration with your SonarQube server for comprehensive code analysis.

## Configuration

### ESLint

ESLint configuration can be customized in the `.eslintrc.js` file. Refer to the ESLint documentation for available configuration options and rules.

## SonarQube

### Need to setup Sonar Jar in Java-jar Folder

Configure your SonarQube server settings in the `lint.config.js` file.

## Usage

To lint your code using ESLint, run the following command:

-** To run locally **

```bash
npx npx ZDLintingFramework lint -- --dir=path/to/file
```

--** To run CI **

```bash
npx ZDLintingFramework lint-ci
```

## flags

- `--dir` - specify directory to lint
