const path = require("path");

/**
 * Configuration object for linting and reporting.
 * @property {string} ruleConfigurationPath - The path to the ESLint configuration file.
 * @property {boolean} impactBased - Indicates if the linting is impact-based.
 * @property {string} lintReportPath - The path to the lint report JSON file.
 * @property {string} sonar_host_URL - The URL of the SonarQube server.
 * @property {string} loginName - The username for authentication with the SonarQube server.
 * @property {string} password - The password for authentication with the SonarQube server.
 * @property {string} gitEndPoint - API EndPoint for Git Actions
 * @property {number} projectId - project id of repository
 * @property {string} token - Encrypted Authentication Token
 * @property {string} compareBranch - Branch to compare diff
 */


module.exports = {
  ruleConfigurationPath: path.resolve(process.cwd(), ".eslintrc.js"),
  impactBased: true,
  lintReportPath: path.resolve(process.cwd(), "lint-report", "lintReport.json"),
  sonar_hostURL: "https://client-linters.zohodesk.csez.zohocorpin.com",
  metric_token: "zxh_9737850jh2l53ml17223929ihii73072j54j2260",
  branchDiffPath:path.resolve(process.cwd(),"diffBranch.json"),
  gitEndPoint:"https://zgit.csez.zohocorpin.com",
  projectId:`project-id`,
  token:"w-OkG3f5OOM1Rkly8phZ",
  compareBranch:'release'
};
